unit uMain_TPS_HTTPFileServerAddon;

interface

uses
  System.SysUtils, System.Classes,Vcl.StdCtrls,

  //myUnits
  uHTTPCommandGet_TPS_HTTPFileServerAddon;

type
  TPS_HTTPFileServerAddon = class(TComponent)
  private
    { Private declarations }

    FHTTPServerToRequest:string;
    FEnableLogging:Boolean;

    Fmmo1:TMemo; // this fields for logging
    Fmmo2:TMemo;
    Fmmo3:TMemo;

    FHTTPCommandGet_TPS_HTTPFileServerAddon:THTTPCommandGet_TPS_HTTPFileServerAddon;

  protected
    { Protected declarations }
  public
    { Public declarations }

    constructor Create(AOwner: TComponent); override;

    property HTTPServerToRequest:string read FHTTPServerToRequest write FHTTPServerToRequest;
    property EnableLogging:Boolean read FEnableLogging write FEnableLogging;

    property HTTPCommandGet_TPS_HTTPFileServerAddon:THTTPCommandGet_TPS_HTTPFileServerAddon
    read FHTTPCommandGet_TPS_HTTPFileServerAddon write FHTTPCommandGet_TPS_HTTPFileServerAddon;

    //for possible logging
    property mmo1:TMemo read fmmo1 write fmmo1;
    property mmo2:TMemo read fmmo2 write fmmo2;
    property mmo3:TMemo read fmmo3 write fmmo3;


  published
    { Published declarations }



  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('Samples', [TPS_HTTPFileServerAddon]);
end;

{ TPS_HTTPFileServerAddon }

constructor TPS_HTTPFileServerAddon.Create(AOwner: TComponent);
begin
  inherited;

FHTTPCommandGet_TPS_HTTPFileServerAddon:=THTTPCommandGet_TPS_HTTPFileServerAddon.Create(Self);

end;

end.
